#### basic_socket_acceptor::executor_type

The type of the executor associated with the object.

    typedef io_context::executor_type executor_type;

###### Member Functions

Name | Description
--- | ---
context | Obtain the underlying execution context.
defer | Request the io_context to invoke the given function object.
dispatch | Request the io_context to invoke the given function object.
on_work_finished | Inform the io_context that some work is no longer outstanding.
on_work_started | Inform the io_context that it has some outstanding work to do.
post | Request the io_context to invoke the given function object.
running_in_this_thread | Determine whether the io_context is running in the current thread.

###### Friends

Name | Description
--- | ---
operator!= | Compare two executors for inequality.
operator== | Compare two executors for equality.

###### Requirements

Header: `asio/basic_socket_acceptor.hpp`

Convenience header: `asio.hpp`